Subject: [os2genau_digest] No. 244
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Wed, 2 Jan 2002 01:00:00 +1100 (EDT)

Date:- 2 January 2002

1================================================

Date: Tue, 01 Jan 2002 09:54:27 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] LVM disc recognition

Why on earth did you use Partition Magic, when you could have
created all partitions through LVM ??  I guess there must be a
reason, but Partition Magic, to me is a tool to fix problems,
resize partitions etc. I'm not sure even if Partition Magic
supports the latest partition table modifications made by LVM.

When you have the possibility to use the Operating System's "native"
disk management tools, I would certainly advise it ! You certainly
shouldn't mix the two programs as you have (creating a partition with
Partition magic and then assigning it to a LVM volume).

Presuming your OS partition is on one of the first two EIDE drives,
it should be OK, as only the partition table on the new drive is
corrupt. 

I guess the best action from here would be to backup the data from
the new drive if you haven't already done so, and if you can access
the drive and then blow away all of the partitions using any combination
of Partition magic and LVM that works. Then re-create all your required
partitions using LVM and restore your data.

Cheers/2

Ed.

amoht wrote:
> 
> Hi,
> 
> I have just replaced my 3rd IDE harddrive which I use for imaging my system. The previous was a 2GB drive.
> The new one is a 20GB drive. I used partition Magic to make four 2GB Partitions and then used LVM to
> create volumes relating to these partitions. Now when I use LVM to look at this disk it throws up a message
> 
> " Physical disk  ( 4) :
> The partition on this disc may be corrupt."
> 
> I can bypass this message by pressing "enter"
> 
> Then using the physical view I note that LVM shows 4 discs instead of three. The 4th is shown as having a
> capacity of 97 MB. As I have no such disc on my computer, how can I get rid of this disc and it's
> corresponding message?
> There seems to be no option in LVM to do this. I even deleted eCM completely and replaced it with a
> DriveImage copy from before I changed the disc but the same message occurs.
> 
> I am not sure whether I had a floppy disc or a cd in the computer when I used LVM to make volumes. If I did
> could LVM have recognised either as the 4th disc?
> It won't alter my ability to use the disc for backup images but it annoys me when something is not right.
> BTW the Java GUI version shows the fourth drive icon different to the others as it looks as though there is a
> removable disc at the front so I may have had a removable disc in.
> 
> How can I change this?
> 
> Alan Duval  <amohtatozemail dot com dot au>
> 

2==============================================

Date: Tue, 01 Jan 2002 11:48:17 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: [os2genau] CD-RW works fine with latest UDF support .. well almost ....

IBM's latest UDF  (CDRW + DVD) support (version 1.5 - December 2001)
(there was an earlier V 1.5, that didn't work for me) seems to work
fine, apart from the LANG=EN_AU problem at installation that I
documented earlier (type SET LANG=EN_US before typing DVDINST).

Note: that CDRW disks will need to be formatted with the /FS:UDF and
/F parameters before they can be used, and that pre-formatted CDRW
disks will not work, you need brand new ones for the initial format.

That this driver now works is significant, because with the fact that
CDRW blanks are now under AU$1.50 to buy, this becomes a very easy
way of working with CDRWs - no additional CD Burning software is 
needed.

With the latest IDEDASD files installed, this works with EIDE or SCSI
CDRW drives (mine is a generic (Ricoh) EIDE CDRW drive).

Having written the item above, I went on to do some more tests and
started to get "internal error" reported at the end of a format of a 
CDRW or during a prety complex Xcopy to the disk. I then realised that
I was still using the DANI Atapi and IDE drivers rather than the 
updated IBM ones. I changed my config.sys to use IBM and rebooted.
Things seemed a lot better and I was confident again to send out this
note, with the added previso that you don't use Dani drivers, when,
guess what - another internal error. I ran a chkdsk which found errors
and then warned me that fixing them with remove some sort of standards
compatability. I did it anyway and the chkdsk now reported everything
as fine. The only thing was it had removed the data I had copied to the
disk !!

I'm still researching why I am having these problems. It could be that
I am using cheepo, Datastream CDRW disks - I'll try some known makes.
The Datastream's are rated at 4X max, whereas my drive writes CDRWs at
8X - There doesn't seem to be anywhere to regulate this either.

Well, I have to conclude that, for me, this is NOT a complete solution
yet. If anyone else on the list is also using this UDF code, I'd be
interested to hear their experiences as well.

Cheers/2

Ed.

3==============================================

From: "Gavin Miller" <drumextremeatimpulse dot net dot au>
Date: Tue, 01 Jan 2002 11:57:12 -0500 (EST)
Subject: Re: [os2genau] CD-RW works fine with latest UDF support .. well almost ....

Hi Ed,

I can't help on the UDF stuff as I don't have a burner in my OS/2 machine, but as a 
guess (based on my Wincrap experiences) I'd say it might have alot to do with the 4x vs 
8x thing.  Try some disks that are 8x compatable.  Make sure the cover says 8x on it.  
I've found that some disk labeld 1x-12x can be 1x OR 12x and of course didn't write 
properly at 8x.

Cheers
Gavin

4==============================================

Date: Tue, 01 Jan 2002 12:23:45 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] CD-RW works fine with latest UDF support .. well almost 
 ....

Yes, I remember similar problems in the early days of CD-R.
I don't at present have an 8X CDRW disk, but I have got a Kodak CDRW
disk which I will now test with. I have heard from others that the
DataStream disks (even just CD-R ones) are not perfect quality.

OK, the Kodak disk formatted without errors and Chkdsk reported
no errors.

Now for the xcopy....

Hmm, the copy failed again, but with an error - cannot access target
file. The disk itself seems still readable and usable, so we're making
progress ...

Cheers/2

Ed. 

Gavin Miller wrote:
> 
> Hi Ed,
> 
> I can't help on the UDF stuff as I don't have a burner in my OS/2 machine, but as a
> guess (based on my Wincrap experiences) I'd say it might have alot to do with the 4x vs
> 8x thing.  Try some disks that are 8x compatable.  Make sure the cover says 8x on it.
> I've found that some disk labeld 1x-12x can be 1x OR 12x and of course didn't write
> properly at 8x.
> 
> Cheers
> Gavin
> 

5==============================================

From: "John Angelico" <talldadatkepl dot com dot au>
Date: Tue, 01 Jan 2002 17:02:05 +1100 (EDT)
Subject: [os2genau] Database Query Tool for OS/2

Posted to Possi and Australian OS/2 lists

Hi and Happy New Year everybody!

Some time ago (I am guessing in the last 3-4 months) there was news
<somewhere> about the release of latest versions of a database
query/reporting/charting tool for OS/2.

These were the current versions of now-independent but previously
IBM-owned tools called "Visualiser Query" originally built for ODBC
access to various databases, and could loosely be called the
equivalent of Crystal Reports (well known in the Win world).

The news was of a time-limited demo version, I think, and I could not
recognise its new name in my email archives. Now I want to find it
again, so can anyone please point me in the right direction?

Best regards
John Angelico
OS/2 SIG
talldadatmelbpc dot org dot au or talldadatkepl dot com dot au
--------------------------------------------

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Datapath: Look in pile\under desk\in drawers\hall closet\freezer

6==============================================

From: "Gavin Miller" <drumextremeatimpulse dot net dot au>
Date: Tue, 01 Jan 2002 21:53:32 -0500 (EST)
Subject: Re: [os2genau] Database Query Tool for OS/2

Hi John,

OS/2ezine 16 Nov 2001..... That's where you might have heard about it :-)

Visualiser Query is now called Visualizer PE (Personal Edition) and is available thru 
BMT Micro (for US$95)

Cheers.... and Happy New year!
Gavin